* {
    box-sizing: border-box;
}
body{
	    max-width: 640px;
    margin: 0 auto;
}
.answer {
    position: relative;
    min-height: 100%;
    min-height: 100vh;
}
.theme-base .answer-list {
    background: #fff url(../images/bg_base.e968f4e.png) repeat;
    background-size: 1.6rem;
}
.answer-list {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    min-height: 100%;
    overflow-x: hidden;
}
.theme-base .answer-list .answer-panel {
    background-color: #fff;
    color: #666;
    -moz-box-shadow: 0 1px 5px #dcdcdc;
    box-shadow: 0 1px 5px #dcdcdc;
}
.answer-panel {
    position: relative;
    width: 100%;
    height: 1.65333rem;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 0 .53333rem;
    font-size: .32rem;
    margin-bottom: .66667rem;
}
.answer-panel .progress {
    margin-bottom: .06667rem;
}
.answer-panel .progress span {
    font-size: .48rem;
    font-weight: 700;
}
.answer-panel .yxl-slider-wrap {
    flex: 1;
}
.yxl-slider-wrap {
    width: 100%;
}
.yxl-slider-wrap .yxl-slider-content {
    position: relative;
    margin: 0 .26667rem;
    height: .8rem;
}
.answer-panel .yxl-slider-content {
    height: .30667rem!important;
}
.theme-base .answer-list .yxl-slider-wrap .yxl-slider-bg {
    background: #f6f6f6;
}
.yxl-slider-wrap .yxl-slider-bg {
    position: relative;
    height: .30667rem;
    background: #dbdbdb;
    border-radius: .4rem;
    overflow: hidden;
}
.yxl-slider-wrap .yxl-slider-bg:before {
    content: "";
    position: absolute;
    top: 0;
    left: -.8rem;
    width: .8rem;
    height: 100%;
    border-radius: .4rem 0 0 .4rem;
    background: inherit;
}
.theme-base .answer-list .yxl-slider-wrap .yxl-slider-fill {
    background: #ffdd2b;
}
.yxl-slider-wrap .yxl-slider-fill {
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    border-radius: 0 .4rem .4rem 0;
    background: #ffdd2b;
    animation: all .2s ease;
}
.yxl-slider-wrap .yxl-slider-fill:before {
    content: "";
    position: absolute;
    top: 0;
    left: -.8rem;
    width: .8rem;
    height: 100%;
    border-radius: 50%;
    background: inherit;
}
.answer-panel .yxl-slider-fill-moving:before {
    border-radius: .08rem 0 0 .08rem!important;
}
.theme-base .answer-list .timer-box {
    background: #fff;
    border-color: #fff;
    color: #999;
}
.timer-box {
    position: relative;
    font-size: .32rem;
    border-style: solid;
    border-width: 1px;
    border-radius: 86px;
    padding: .08rem .16rem .08rem 0;
}

.answer-panel .showTestDescIcon {
    display: flex;
    margin-left: .16rem;
    justify-content: center;
    align-items: center;
    width: .8rem;
    height: .8rem;
    background: #fff;
    color: #666;
    border-radius: .08rem;
}
.theme-base .answer-list .showTestDescIcon {
    background: url(../images/icon_tips_base.18940bb.png);
    background-size: cover;
}
.modal {
    pointer-events: auto;
}
.mask[data-v-327be300] {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: rgba(0,0,0,.5);
    z-index: 10;
}
.theme-base .answer-list .modal-win {
    background-color: #fff;
}
.modal-win {
    position: fixed;
    top: 1.33333rem;
    left: 50%;
    transform: translate(-50%);
    z-index: 11;
    width: 8.93333rem;
    height: 12rem;
    border-radius: .34667rem;
    padding-bottom: 2.50667rem;
    overflow: hidden;
}
.modal-win .icon-close {
    position: absolute;
    display: block;
    top: .28rem;
    right: .28rem;
    width: .64rem;
    height: .64rem;
    background: url(../images/pop_btn_back.3f73931.png) 50% no-repeat;
    background-size: .32rem;
}
.theme-base .answer-list .modal-win .modal-title {
    color: #333;
}
.answer-list .modal-title {
    margin: .66667rem 0;
    font-size: .50667rem;
    line-height: .53333rem;
    text-align: center;
    font-weight: 700;
}
.modal-win .modal-container {
    position: absolute;
    top: 2rem;
    left: 0;
    right: 0;
    bottom: 2.50667rem;
    overflow: auto;
    pointer-events: auto;
}
.theme-base .answer-list .modal-win .modal-content {
    color: #666;
}
.answer-list .modal-content {
    margin: 0 1.13333rem;
    font-family: PingFangSC-Regular;
    font-size: .37333rem;
    letter-spacing: .00533rem;
    line-height: .65333rem;
    overflow: auto;
}
.theme-base .answer-list .modal-win .btn {
    color: #333!important;
    background-color: #ffdd2b;
}
.modal .btn {
    position: absolute;
    left: 50%;
    transform: translate(-50%);
    bottom: .66667rem;
    display: inline-block;
    box-sizing: border-box;
    width: 5.33333rem;
    height: 1.06667rem;
    line-height: 1.06667rem;
    background: #fff;
    border: .01333rem solid #ddd;
    border-radius: .10667rem;
    color: #333;
    text-align: center;
    font-size: .42667rem;
}
.answer-list .answer-list-showTis .mask {
    z-index: 13!important;
}
.answer-list .answer-list-showTis .showTis-box {
    width: 8rem;
    min-height: 5.86667rem;
    background: #fff;
    position: fixed;
    top: 5.33333rem;
    left: 50%;
    margin-left: -4rem;
    overflow: hidden;
    z-index: 14;
    border-radius: .34667rem;
    padding: .53333rem;
}
.answer-list .answer-list-showTis .showTis-box .showTis-icon {
    width: 1.09333rem;
    height: 1.24rem;
    overflow: hidden;
    margin: 0 auto;
    margin-top: .26667rem;
}
.answer-list .answer-list-showTis .showTis-box .showTis-icon img {
    width: 100%;
    height: auto;
}
.answer-list .answer-list-showTis .showTis-box .showTis-title {
    font-size: .42667rem;
    color: #63636b;
    letter-spacing: .2px;
    line-height: .76rem;
    margin: 0 auto;
    margin-top: .4rem;
}

.answer-list .answer-list-showTis .showTis-box .showTis-btn {
    background-image: linear-gradient(-45deg,#77aeff,#4276ff);
    border-radius: .10667rem;
    width: 5.33333rem;
    height: 1.06667rem;
    line-height: 1.06667rem;
    text-align: center;
    color: #fff;
    margin: 0 auto;
    margin-top: .26667rem;
}
.answer-list .answer-list-showTis .showTis-box .in-showTis-btn {
    background: #ffdd2b!important;
    color: #000!important;
}
.answer-list .answer-desc-animate-wrap {
    position: absolute;
    top: 1.65333rem;
    left: 0;
    right: 0;
    bottom: 2.13333rem;
    overflow: hidden;
}
.answer-list .answer-desc-wrap {
    margin: 0 .4rem;
    border-radius: 4px;
    height: 100%;
    overflow: auto;
    -webkit-overflow-scrolling: touch;
    box-sizing: border-box;
    position: relative;
    z-index: 1;
}
.answer-list .answer-desc {
    box-sizing: border-box;
    padding: 0;
    border-radius: 4px;
}
.theme-base .answer-list .answer-desc-title {
    color: #333;
}
.answer-list .answer-desc-title {
    font-size: .50667rem!important;
    padding: .4rem .12rem;
    font-weight: 700;
    word-break: break-all;
    text-align: justify;
/*     display: flex; */
}
.answer-list .answer-desc-maxContent {
    overflow: hidden;
}
.answer-list .answer-desc-media, .answer-list .answer-select-option {
    position: relative;
}
.answer-list .answer-select-option .answer-select-list {
    font-size: .42667rem!important;
    position: relative;
    line-height: normal;
}
.answer-list .answer-select-option .answer-select-list .answer-select-item {
    display: flex;
    align-items: center;
    justify-content: space-between;
    border-radius: .21333rem;
    padding: .37333rem .76rem .37333rem .66667rem;
    margin-bottom: 10px;
    position: relative;
    line-height: normal;
}
.theme-base .answer-list .answer-select-list .answer-select-item {
    background-color: #fff;
    border: .05333rem solid #f0f0f0;
}
.answer-list .answer-select-option .answer-select-list * {
    font-size: .42667rem!important;
}
.answer-list .answer-select-option .answer-select-list .answer-select-item .answer-select-content {
    flex: 1;
    padding-right: .5em;
    display: flex;
    position: relative;
    line-height: normal;
}
.theme-base .answer-list .answer-select-item .answer-select-content {
    color: #000;
}

.answer-list .answer-select-option .answer-select-list .answer-select-item .answer-select-label {
    font-size: .42667rem!important;
    line-height: .56rem!important;
    display: inline;
    position: absolute;
    top: 0;
    line-height: normal;
}
.answer-list .answer-select-option .answer-select-list .answer-select-label {
    margin-right: 1em;
    font-size: .50667rem!important;
}
.answer-list .answer-select-option .answer-select-list .answer-select-item .answer-select-content .answer-option-text {
    display: inline;
    margin-left: .66667rem;
    font-size: .42667rem!important;
    line-height: .56rem!important;
}
.answer-option-text img{
	width:100%;
}
.answer-list .answer-select-option .answer-select-list .answer-select-mark {
    border-radius: 50%;
    width: .45333rem;
    height: .45333rem;
    border-width: 2px;
    border-style: solid;
}

.theme-base .answer-list .answer-select-mark {
    border: 2px solid #ffdd2b;
}
.theme-base .answer-list .answer-desc-wrap__mask {
    color: #999;
}
.answer-list .answer-select-option .answer-select-list .answer-select-mark.answer-selected-mark {
    position: relative;
}
.answer-list .answer-select-option .answer-select-list .answer-select-mark.answer-selected-mark .answer-selected-mark-one {
    width: .29333rem;
    height: .29333rem;
    border-radius: 50%;
    position: absolute;
    left: 50%;
    top: 50%;
    margin-top: -.14667rem;
    margin-left: -.14667rem;
}

.theme-base .answer-list .answer-select-mark.answer-selected-mark .answer-selected-mark-one {
    background-color: #ffdd2b;
}
.answer-list .answer-desc-wrap__mask {
    z-index: 2;
    position: fixed;
    bottom: 1.62667rem;
    left: 2px;
    right: 2px;
    text-align: center;
    transition: bottom .3s;
}
.answer-list .fn-wrap {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: .4rem .34667rem;
    margin: 0 auto;
    position: fixed;
    bottom: 0;
    left: 0;
    right: 0;
    z-index: 2;
    max-width: 640px;
    
}
.theme-base .answer-list .fn-wrap .btn {
    border-color: #ffdd2b;
    color: #333;
    background-color: #ffdd2b;
}
.answer-list .fn-wrap .btn-single {
    width: 100%;
}
.answer-list .fn-wrap .btn {
    flex: 1;
    margin: 0 .13333rem;
    height: 1.06667rem;
    text-align: center;
    line-height: 1.06667rem;
    border-width: .05333rem;
    border-style: solid;
    border-radius: 4px;
    font-size: .42667rem;
}
.theme-base .answer-list .btn-prev {
    background: #ffdd2b;
    color: #fff;
}
.btn.brn-textblock {
    font-weight: 700;
}
.answer-list .fn-wrap .btn-disabled {
    border-width: .05333rem;
    border-style: solid;
}
.theme-base .answer-list .fn-wrap .btn-disabled {
    color: #999!important;
}

.answer-list .yxlCopyright {
    width: 100%;
    position: fixed;
    bottom: 1.33333rem;
    left: 0;
}
.support{
    padding-top: .4rem!important;
    padding-bottom: .4rem!important;
    font-size: 12px!important;
    line-height: 1.25!important;
    text-align: center;
    color: #bfbfca;
}

.dialog .dialogWin{
    position: fixed;
    top: 50%;
    left: 50%;
    width: 8rem;
    height: auto;
    transform: translate(-50%,-50%);
    padding: .66667rem .53333rem;
    background: #fff;
    z-index: 10;
    border-radius: .34667rem;
}
.dialog .dialogWin .close{
    position: absolute;
    top: .53333rem;
    right: .53333rem;
    font-style: normal;
    width: .58667rem;
    height: auto;
    line-height: 1.22;
    text-align: center;
}
.theme-base .answer-list .dialog .dialogWin .title {
    color: #333;
}
.dialog .dialogWin .title{
    height: auto;
    line-height: 1.67;
    text-align: center;
    margin: 0 .48rem;
    padding: .2rem 0;
    font-weight: 700;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}
.theme-base .answer-list .dialog .dialogWin .timer {
    background: url(http://mbti.jxolsw.cn/css/ceshi/images/icon_pop_timer.be03b2e.svg);
    background-size: 1.16rem 1.16rem;
}
.answer-list .timer {
    display: block;
    width: 1.16rem;
    height: 1.16rem;
    margin: 0 auto;
}
.theme-base .answer-list .dialog .dialogWin .content {
    color: #666!important;
}
.dialog .dialogWin .content{
    margin: .26667rem 0 .53333rem;
    line-height: 1.78;
    min-height: 1.52rem;
    color: #666;
    display: flex;
    align-items: center;
}
.dialog .dialogWin .content div{
    flex: 1 1 0;
    text-align: center;
}
.dialog .dialogWin .action{
    display: flex;
}
.dialog .dialogWin .action .btnCont{
    flex: 1 1 0;
    text-align: center;
}
.dialog .dialogWin .action .btn{
    display: block;
    margin: 0 10px;
    width: auto;
    height: auto;
    line-height: 2.56;
}
.btn.btn--yellow {
    background: #ffdd2b;
    border: 0;
    border-color: #ffdd2b;
}
.answer-list .dialog .dialogWin .action .btnCont:nth-child(2) {
    font-weight: 700;
}

.slide-enter,.slide-enter-active,.slide-left-enter,.slide-left-enter-active {
    animation: fadeInLeft .2s ease
}

.slide-leave,.slide-leave-active,.slide-left-leave,.slide-left-leave-active {
    animation: fadeOutLeft .2s ease
}

@keyframes fadeInLeft {
    0% {
        opacity: 0;
        -webkit-transform: translate3d(100%,0,0);
        transform: translate3d(100%,0,0)
    }

    to {
        opacity: 1;
        -webkit-transform: translateZ(0);
        transform: translateZ(0)
    }
}

@keyframes fadeOutLeft {
    0% {
        opacity: 1;
        -webkit-transform: translateZ(0);
        transform: translateZ(0)
    }

    to {
        opacity: 0;
        -webkit-transform: translate3d(-100%,0,0);
        transform: translate3d(-100%,0,0)
    }
}

.slide-right-enter,.slide-right-enter-active {
    animation: fadeInRight .2s ease
}

.slide-right-leave,.slide-right-leave-active {
    animation: fadeOutRight .2s ease
}

@keyframes fadeInRight {
    0% {
        opacity: 0;
        -webkit-transform: translate3d(-100%,0,0);
        transform: translate3d(-100%,0,0)
    }

    to {
        opacity: 1;
        -webkit-transform: translateZ(0);
        transform: translateZ(0)
    }
}

@keyframes fadeOutRight {
    0% {
        opacity: 1;
        -webkit-transform: translateZ(0);
        transform: translateZ(0)
    }

    to {
        opacity: 0;
        -webkit-transform: translate3d(100%,0,0);
        transform: translate3d(100%,0,0)
    }
}
